<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation &raquo;\PhpOffice\PhpSpreadsheet\Shared\Escher\DgContainer\SpgrContainer\SpContainer</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <style>
        .deprecated h2 {
            text-decoration: line-through;
        }
    </style>
    <div class="row">
        <div class="span4">    <div class="btn-group view pull-right" data-toggle="buttons-radio">
        <button class="btn details" title="Show descriptions and method names"><i class="icon-list"></i></button>
        <button class="btn simple" title="Show only method names"><i class="icon-align-justify"></i></button>
    </div>
    <div class="btn-group visibility" data-toggle="buttons-checkbox">
        <button class="btn public active" title="Show public elements">Public</button>
        <button class="btn protected" title="Show protected elements">Protected</button>
        <button class="btn private" title="Show private elements">Private</button>
        <button class="btn inherited active" title="Show inherited elements">Inherited</button>
    </div>    <ul class="side-nav nav nav-list">
        <li class="nav-header">
            <i class="icon-custom icon-method"></i> Methods
            <ul>    <li class="methodpublic">
        <a href="#method_getEndCoordinates" title="getEndCoordinates ::Get cell coordinates of bottom-right corner of shape.">
            <span class="description">Get cell coordinates of bottom-right corner of shape.</span><pre>getEndCoordinates</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getEndOffsetX" title="getEndOffsetX ::Get offset in x-direction of bottom-right corner of shape measured in 1/1024 of column width.">
            <span class="description">Get offset in x-direction of bottom-right corner of shape measured in 1/1024 of column width.</span><pre>getEndOffsetX</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getEndOffsetY" title="getEndOffsetY ::Get offset in y-direction of bottom-right corner of shape measured in 1/256 of row height.">
            <span class="description">Get offset in y-direction of bottom-right corner of shape measured in 1/256 of row height.</span><pre>getEndOffsetY</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getNestingLevel" title="getNestingLevel ::Get the nesting level of this spContainer. This is the number of spgrContainers between this spContainer and
the dgContainer. A value of 1 = immediately within first spgrContainer
Higher nesting level occurs if and only if spContainer is part of a shape group.">
            <span class="description">Get the nesting level of this spContainer. This is the number of spgrContainers between this spContainer and
the dgContainer. A value of 1 = immediately within first spgrContainer
Higher nesting level occurs if and only if spContainer is part of a shape group.</span><pre>getNestingLevel</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getOPT" title="getOPT ::Get an option for the Shape Group Container.">
            <span class="description">Get an option for the Shape Group Container.</span><pre>getOPT</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getOPTCollection" title="getOPTCollection ::Get the collection of options.">
            <span class="description">Get the collection of options.</span><pre>getOPTCollection</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getParent" title="getParent ::Get the parent Shape Group Container.">
            <span class="description">Get the parent Shape Group Container.</span><pre>getParent</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getSpFlag" title="getSpFlag ::Get the shape flag.">
            <span class="description">Get the shape flag.</span><pre>getSpFlag</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getSpgr" title="getSpgr ::Get whether this is a group shape.">
            <span class="description">Get whether this is a group shape.</span><pre>getSpgr</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getSpId" title="getSpId ::Get the shape index.">
            <span class="description">Get the shape index.</span><pre>getSpId</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getSpType" title="getSpType ::Get the shape type.">
            <span class="description">Get the shape type.</span><pre>getSpType</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getStartCoordinates" title="getStartCoordinates ::Get cell coordinates of upper-left corner of shape.">
            <span class="description">Get cell coordinates of upper-left corner of shape.</span><pre>getStartCoordinates</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getStartOffsetX" title="getStartOffsetX ::Get offset in x-direction of upper-left corner of shape measured in 1/1024 of column width.">
            <span class="description">Get offset in x-direction of upper-left corner of shape measured in 1/1024 of column width.</span><pre>getStartOffsetX</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getStartOffsetY" title="getStartOffsetY ::Get offset in y-direction of upper-left corner of shape measured in 1/256 of row height.">
            <span class="description">Get offset in y-direction of upper-left corner of shape measured in 1/256 of row height.</span><pre>getStartOffsetY</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setEndCoordinates" title="setEndCoordinates ::Set cell coordinates of bottom-right corner of shape.">
            <span class="description">Set cell coordinates of bottom-right corner of shape.</span><pre>setEndCoordinates</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setEndOffsetX" title="setEndOffsetX ::Set offset in x-direction of bottom-right corner of shape measured in 1/1024 of column width.">
            <span class="description">Set offset in x-direction of bottom-right corner of shape measured in 1/1024 of column width.</span><pre>setEndOffsetX</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setEndOffsetY" title="setEndOffsetY ::Set offset in y-direction of bottom-right corner of shape measured in 1/256 of row height.">
            <span class="description">Set offset in y-direction of bottom-right corner of shape measured in 1/256 of row height.</span><pre>setEndOffsetY</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setOPT" title="setOPT ::Set an option for the Shape Group Container.">
            <span class="description">Set an option for the Shape Group Container.</span><pre>setOPT</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setParent" title="setParent ::Set parent Shape Group Container.">
            <span class="description">Set parent Shape Group Container.</span><pre>setParent</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setSpFlag" title="setSpFlag ::Set the shape flag.">
            <span class="description">Set the shape flag.</span><pre>setSpFlag</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setSpgr" title="setSpgr ::Set whether this is a group shape.">
            <span class="description">Set whether this is a group shape.</span><pre>setSpgr</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setSpId" title="setSpId ::Set the shape index.">
            <span class="description">Set the shape index.</span><pre>setSpId</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setSpType" title="setSpType ::Set the shape type.">
            <span class="description">Set the shape type.</span><pre>setSpType</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setStartCoordinates" title="setStartCoordinates ::Set cell coordinates of upper-left corner of shape.">
            <span class="description">Set cell coordinates of upper-left corner of shape.</span><pre>setStartCoordinates</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setStartOffsetX" title="setStartOffsetX ::Set offset in x-direction of upper-left corner of shape measured in 1/1024 of column width.">
            <span class="description">Set offset in x-direction of upper-left corner of shape measured in 1/1024 of column width.</span><pre>setStartOffsetX</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setStartOffsetY" title="setStartOffsetY ::Set offset in y-direction of upper-left corner of shape measured in 1/256 of row height.">
            <span class="description">Set offset in y-direction of upper-left corner of shape measured in 1/256 of row height.</span><pre>setStartOffsetY</pre>
        </a>
    </li>            </ul>
        </li>
        <li class="nav-header protected">» Protected
            <ul>            </ul>
        </li>
        <li class="nav-header private">» Private
            <ul>            </ul>
        </li>
        <li class="nav-header">
            <i class="icon-custom icon-constant"></i> Constants
            <ul>            </ul>
        </li>
    </ul>
        </div>

        <div class="span8">
            <div class="element class">
                <h1>SpContainer</h1>
                <small style="display: block; text-align: right">                </small>
                <p class="short_description"></p>
                <div class="details">
                    <div class="long_description">
                    </div>
                    <table class="table table-bordered">                                <tr>
                                    <th>package                                    </th>
                                    <td><p>Default</p>
                                    </td>
                                </tr>                    </table>

                    <h3><i class="icon-custom icon-method"></i> Methods</h3>                        <a id="method_getEndCoordinates"></a>
                        <div class="element clickable methodpublic method_getEndCoordinates" data-toggle="collapse" data-target=".method_getEndCoordinates .collapse">
                            <h2>Get cell coordinates of bottom-right corner of shape.</h2>
                            <pre>getEndCoordinates(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getEndOffsetX"></a>
                        <div class="element clickable methodpublic method_getEndOffsetX" data-toggle="collapse" data-target=".method_getEndOffsetX .collapse">
                            <h2>Get offset in x-direction of bottom-right corner of shape measured in 1/1024 of column width.</h2>
                            <pre>getEndOffsetX(): integer</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>integer</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getEndOffsetY"></a>
                        <div class="element clickable methodpublic method_getEndOffsetY" data-toggle="collapse" data-target=".method_getEndOffsetY .collapse">
                            <h2>Get offset in y-direction of bottom-right corner of shape measured in 1/256 of row height.</h2>
                            <pre>getEndOffsetY(): integer</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>integer</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getNestingLevel"></a>
                        <div class="element clickable methodpublic method_getNestingLevel" data-toggle="collapse" data-target=".method_getNestingLevel .collapse">
                            <h2>Get the nesting level of this spContainer. This is the number of spgrContainers between this spContainer and
the dgContainer. A value of 1 = immediately within first spgrContainer
Higher nesting level occurs if and only if spContainer is part of a shape group.</h2>
                            <pre>getNestingLevel(): integer</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>integer</code><p><p>Nesting level</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getOPT"></a>
                        <div class="element clickable methodpublic method_getOPT" data-toggle="collapse" data-target=".method_getOPT .collapse">
                            <h2>Get an option for the Shape Group Container.</h2>
                            <pre>getOPT(integer $property): mixed</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$property</h4>
                                                <code>integer</code><p><p>The number specifies the option</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>mixed</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getOPTCollection"></a>
                        <div class="element clickable methodpublic method_getOPTCollection" data-toggle="collapse" data-target=".method_getOPTCollection .collapse">
                            <h2>Get the collection of options.</h2>
                            <pre>getOPTCollection(): array</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>array</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getParent"></a>
                        <div class="element clickable methodpublic method_getParent" data-toggle="collapse" data-target=".method_getParent .collapse">
                            <h2>Get the parent Shape Group Container.</h2>
                            <pre>getParent(): \PhpOffice\PhpSpreadsheet\Shared\Escher\DgContainer\SpgrContainer</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Shared.Escher.DgContainer.SpgrContainer.html">\PhpOffice\PhpSpreadsheet\Shared\Escher\DgContainer\SpgrContainer</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getSpFlag"></a>
                        <div class="element clickable methodpublic method_getSpFlag" data-toggle="collapse" data-target=".method_getSpFlag .collapse">
                            <h2>Get the shape flag.</h2>
                            <pre>getSpFlag(): integer</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>integer</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getSpgr"></a>
                        <div class="element clickable methodpublic method_getSpgr" data-toggle="collapse" data-target=".method_getSpgr .collapse">
                            <h2>Get whether this is a group shape.</h2>
                            <pre>getSpgr(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getSpId"></a>
                        <div class="element clickable methodpublic method_getSpId" data-toggle="collapse" data-target=".method_getSpId .collapse">
                            <h2>Get the shape index.</h2>
                            <pre>getSpId(): integer</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>integer</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getSpType"></a>
                        <div class="element clickable methodpublic method_getSpType" data-toggle="collapse" data-target=".method_getSpType .collapse">
                            <h2>Get the shape type.</h2>
                            <pre>getSpType(): integer</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>integer</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getStartCoordinates"></a>
                        <div class="element clickable methodpublic method_getStartCoordinates" data-toggle="collapse" data-target=".method_getStartCoordinates .collapse">
                            <h2>Get cell coordinates of upper-left corner of shape.</h2>
                            <pre>getStartCoordinates(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getStartOffsetX"></a>
                        <div class="element clickable methodpublic method_getStartOffsetX" data-toggle="collapse" data-target=".method_getStartOffsetX .collapse">
                            <h2>Get offset in x-direction of upper-left corner of shape measured in 1/1024 of column width.</h2>
                            <pre>getStartOffsetX(): integer</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>integer</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getStartOffsetY"></a>
                        <div class="element clickable methodpublic method_getStartOffsetY" data-toggle="collapse" data-target=".method_getStartOffsetY .collapse">
                            <h2>Get offset in y-direction of upper-left corner of shape measured in 1/256 of row height.</h2>
                            <pre>getStartOffsetY(): integer</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>integer</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setEndCoordinates"></a>
                        <div class="element clickable methodpublic method_setEndCoordinates" data-toggle="collapse" data-target=".method_setEndCoordinates .collapse">
                            <h2>Set cell coordinates of bottom-right corner of shape.</h2>
                            <pre>setEndCoordinates(string $value)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>string</code><p><p>eg: 'A1'</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_setEndOffsetX"></a>
                        <div class="element clickable methodpublic method_setEndOffsetX" data-toggle="collapse" data-target=".method_setEndOffsetX .collapse">
                            <h2>Set offset in x-direction of bottom-right corner of shape measured in 1/1024 of column width.</h2>
                            <pre>setEndOffsetX(integer $endOffsetX)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$endOffsetX</h4>
                                                <code>integer</code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_setEndOffsetY"></a>
                        <div class="element clickable methodpublic method_setEndOffsetY" data-toggle="collapse" data-target=".method_setEndOffsetY .collapse">
                            <h2>Set offset in y-direction of bottom-right corner of shape measured in 1/256 of row height.</h2>
                            <pre>setEndOffsetY(integer $endOffsetY)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$endOffsetY</h4>
                                                <code>integer</code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_setOPT"></a>
                        <div class="element clickable methodpublic method_setOPT" data-toggle="collapse" data-target=".method_setOPT .collapse">
                            <h2>Set an option for the Shape Group Container.</h2>
                            <pre>setOPT(integer $property,mixed $value)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$property</h4>
                                                <code>integer</code><p><p>The number specifies the option</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>mixed</code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_setParent"></a>
                        <div class="element clickable methodpublic method_setParent" data-toggle="collapse" data-target=".method_setParent .collapse">
                            <h2>Set parent Shape Group Container.</h2>
                            <pre>setParent(\PhpOffice\PhpSpreadsheet\Shared\Escher\DgContainer\SpgrContainer $parent)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$parent</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Shared.Escher.DgContainer.SpgrContainer.html">\PhpOffice\PhpSpreadsheet\Shared\Escher\DgContainer\SpgrContainer</a></code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_setSpFlag"></a>
                        <div class="element clickable methodpublic method_setSpFlag" data-toggle="collapse" data-target=".method_setSpFlag .collapse">
                            <h2>Set the shape flag.</h2>
                            <pre>setSpFlag(integer $value)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>integer</code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_setSpgr"></a>
                        <div class="element clickable methodpublic method_setSpgr" data-toggle="collapse" data-target=".method_setSpgr .collapse">
                            <h2>Set whether this is a group shape.</h2>
                            <pre>setSpgr(boolean $value)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>boolean</code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_setSpId"></a>
                        <div class="element clickable methodpublic method_setSpId" data-toggle="collapse" data-target=".method_setSpId .collapse">
                            <h2>Set the shape index.</h2>
                            <pre>setSpId(integer $value)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>integer</code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_setSpType"></a>
                        <div class="element clickable methodpublic method_setSpType" data-toggle="collapse" data-target=".method_setSpType .collapse">
                            <h2>Set the shape type.</h2>
                            <pre>setSpType(integer $value)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>integer</code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_setStartCoordinates"></a>
                        <div class="element clickable methodpublic method_setStartCoordinates" data-toggle="collapse" data-target=".method_setStartCoordinates .collapse">
                            <h2>Set cell coordinates of upper-left corner of shape.</h2>
                            <pre>setStartCoordinates(string $value)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>string</code><p><p>eg: 'A1'</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_setStartOffsetX"></a>
                        <div class="element clickable methodpublic method_setStartOffsetX" data-toggle="collapse" data-target=".method_setStartOffsetX .collapse">
                            <h2>Set offset in x-direction of upper-left corner of shape measured in 1/1024 of column width.</h2>
                            <pre>setStartOffsetX(integer $startOffsetX)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$startOffsetX</h4>
                                                <code>integer</code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_setStartOffsetY"></a>
                        <div class="element clickable methodpublic method_setStartOffsetY" data-toggle="collapse" data-target=".method_setStartOffsetY .collapse">
                            <h2>Set offset in y-direction of upper-left corner of shape measured in 1/256 of row height.</h2>
                            <pre>setStartOffsetY(integer $startOffsetY)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$startOffsetY</h4>
                                                <code>integer</code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <h3><i class="icon-custom icon-property"></i> Properties</h3>                            <a id="property_parent"> </a>
                            <div class="element clickable propertyprivate property_parent" data-toggle="collapse" data-target=".property_parent .collapse">
                                <h2>Parent Shape Group Container.</h2>
                                <pre>parent :\PhpOffice\PhpSpreadsheet\Shared\Escher\DgContainer\SpgrContainer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code><a href="../classes/PhpOffice.PhpSpreadsheet.Shared.Escher.DgContainer.SpgrContainer.html">\PhpOffice\PhpSpreadsheet\Shared\Escher\DgContainer\SpgrContainer</a></code>                                    </div>
                                </div>
                            </div>                            <a id="property_spgr"> </a>
                            <div class="element clickable propertyprivate property_spgr" data-toggle="collapse" data-target=".property_spgr .collapse">
                                <h2>Is this a group shape?</h2>
                                <pre>spgr :boolean</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_spType"> </a>
                            <div class="element clickable propertyprivate property_spType" data-toggle="collapse" data-target=".property_spType .collapse">
                                <h2>Shape type.</h2>
                                <pre>spType :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_spFlag"> </a>
                            <div class="element clickable propertyprivate property_spFlag" data-toggle="collapse" data-target=".property_spFlag .collapse">
                                <h2>Shape flag.</h2>
                                <pre>spFlag :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_spId"> </a>
                            <div class="element clickable propertyprivate property_spId" data-toggle="collapse" data-target=".property_spId .collapse">
                                <h2>Shape index (usually group shape has index 0, and the rest: 1,2,3.</h2>
                                <pre>spId :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"><p>..).</p></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_OPT"> </a>
                            <div class="element clickable propertyprivate property_OPT" data-toggle="collapse" data-target=".property_OPT .collapse">
                                <h2>Array of options.</h2>
                                <pre>OPT :array</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>array</code>                                    </div>
                                </div>
                            </div>                            <a id="property_startCoordinates"> </a>
                            <div class="element clickable propertyprivate property_startCoordinates" data-toggle="collapse" data-target=".property_startCoordinates .collapse">
                                <h2>Cell coordinates of upper-left corner of shape, e.g. &#039;A1&#039;.</h2>
                                <pre>startCoordinates :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_startOffsetX"> </a>
                            <div class="element clickable propertyprivate property_startOffsetX" data-toggle="collapse" data-target=".property_startOffsetX .collapse">
                                <h2>Horizontal offset of upper-left corner of shape measured in 1/1024 of column width.</h2>
                                <pre>startOffsetX :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_startOffsetY"> </a>
                            <div class="element clickable propertyprivate property_startOffsetY" data-toggle="collapse" data-target=".property_startOffsetY .collapse">
                                <h2>Vertical offset of upper-left corner of shape measured in 1/256 of row height.</h2>
                                <pre>startOffsetY :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_endCoordinates"> </a>
                            <div class="element clickable propertyprivate property_endCoordinates" data-toggle="collapse" data-target=".property_endCoordinates .collapse">
                                <h2>Cell coordinates of bottom-right corner of shape, e.g. &#039;B2&#039;.</h2>
                                <pre>endCoordinates :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_endOffsetX"> </a>
                            <div class="element clickable propertyprivate property_endOffsetX" data-toggle="collapse" data-target=".property_endOffsetX .collapse">
                                <h2>Horizontal offset of bottom-right corner of shape measured in 1/1024 of column width.</h2>
                                <pre>endOffsetX :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_endOffsetY"> </a>
                            <div class="element clickable propertyprivate property_endOffsetY" data-toggle="collapse" data-target=".property_endOffsetY .collapse">
                                <h2>Vertical offset of bottom-right corner of shape measured in 1/256 of row height.</h2>
                                <pre>endOffsetY :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                </div>
            </div>
            <a id="\PhpOffice\PhpSpreadsheet\Shared\Escher\DgContainer\SpgrContainer\SpContainer"></a>
            <ul class="breadcrumb">
                <li><a href="../index.html"><i class="icon-custom icon-class"></i></a></li>
    <li><span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Shared.Escher.DgContainer.SpgrContainer.html">SpgrContainer</a></li>
                <li class="active"><span class="divider">\</span><a href="../classes/PhpOffice.PhpSpreadsheet.Shared.Escher.DgContainer.SpgrContainer.SpContainer.html">SpContainer</a></li>
            </ul>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:49 +0000.<br/>
    </footer></body>
</html>
